stencilTableFactory.h File Reference
`#include "../version.h"`
`#include "../far/patchTable.h"`
`#include <vector>`

Go to the source code of this file.

## Classes

class | StencilTableFactoryReal< REAL >
| A specialized factory for StencilTable. More...
struct | StencilTableFactoryReal< REAL >::Options
class | LimitStencilTableFactoryReal< REAL >
| A specialized factory for LimitStencilTable. More...
struct | LimitStencilTableFactoryReal< REAL >::Options
struct | LimitStencilTableFactoryReal< REAL >::LocationArray
| Descriptor for limit surface locations. More...
class | StencilTableFactory
| Stencil table factory class wrapping the template for compatibility. More...
class | LimitStencilTableFactory
| Stencil table factory class wrapping the template for compatibility. More...

## Namespaces

namespace | OpenSubdiv
namespace | OpenSubdiv::OPENSUBDIV_VERSION
namespace | OpenSubdiv::OPENSUBDIV_VERSION::Far